/* nctools.h -- useful NetCDF functions */

/* See nctools.c to see what each function does */

#ifdef __cplusplus
extern "C" {
#endif

int nct_prepend_attribute(int ncid, int varid, char *attname,
			  char *string, char *separator);
int nct_append_attribute(int ncid, int varid, char *attname,
			 char *string, char *separator);
int nct_strip_parentheses(int ncid, int varid, char *attname);
int nct_add_history(int ncid, char *action, char *user);
int nct_add_command_line(int ncid, int argc, char **argv);
int nct_add_string_attribute(int ncid, int fieldid,
			     char *attname, char *value);
int nct_add_standard_attributes(int ncid, int fieldid, char *units,
				char *long_name, char *standard_name,
				char *comment);
int nct_add_missing_value(int ncid, int fieldid, float value);
int nct_add_missing_value_type(int ncid, int varid, int type, float value);
int nct_copy_attributes(int ncid_src, int vardid_src,
			int ncid_dest, int varid_dest);
int nct_copy_attributes_by_name(int ncid_src, char *varname_src,
				int ncid_dest, char *varname_dest);
int nct_add_plot_attributes(int ncid, int varid, char *units_html,
			    float plot_min, float plot_max, int is_log_scale);

#ifdef __cplusplus
}
#endif
