/* oe_time.h -- Timing function for optimal estimation library

   Copyright (C) 2005 Robin Hogan <r.j.hogan@reading.ac.uk> 

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <sys/time.h>
#include "oe.h"

/* Time at last call of oe_time_split() */
static struct timeval last_time = {0, 0};

/* Return the number of seconds since oe_time_split() was last
   called. */
OEreal
oe_time_split()
{
  struct timeval time;
  gettimeofday(&time, NULL);
  if (last_time.tv_sec == 0 && last_time.tv_usec == 0) {
    last_time = time;
    return 0.0;
  }
  else {
    OEreal dsec = time.tv_sec - last_time.tv_sec
      + 0.000001 * (time.tv_usec - last_time.tv_usec);
    last_time = time;
    return dsec;
  }
}
